#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( ui )
add_subdirectory( icons )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/ui
  ${CMAKE_BINARY_DIR}/kopete/libkopete/ui
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${MEANWHILE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_meanwhile.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)


##### kopete_meanwhile (module) #######################

tde_add_kpart( kopete_meanwhile AUTOMOC
  SOURCES
    meanwhileprotocol.cpp meanwhileaddcontactpage.cpp
    meanwhileeditaccountwidget.cpp meanwhileaccount.cpp
    meanwhilecontact.cpp meanwhilesession.cpp meanwhileplugin.cpp
  LINK kopetemeanwhileui-static kopete-shared ${MEANWHILE_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
